Name:           python-nest-desktop
Version:        4.1.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        A web-based GUI application for spiking neuronal networks

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://nest-desktop.github.io
Source:         %{pypi_source nest_desktop}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'nest-desktop' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-nest-desktop
Summary:        %{summary}

%description -n python3-nest-desktop %_description


%prep
%autosetup -p1 -n nest_desktop-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-nest-desktop -f %{pyproject_files}


%changelog
%autochangelog